#!/bin/sh
pushd . >&/dev/null
for pl in 22 27 29 30; do
	cd /pub/git/linux-2.6.$pl.y \
	&& git checkout master 2>&1 | (
		egrep -v '(^Already on .master.)|(can be fast-forwarded)\.$' ||: \
	) && git pull | grep -v '^Already up-to-date\.$'
	# TODO: rebase branches?
done
popd >&/dev/null
